require({cache:{
'url:epi-find/widget/templates/BoostingPreview.html':"﻿<div class=\"epi-boosting__sections  epi-boosting__preview-section\">\r\n    <h3>${i18n.preview}</h3>\r\n    <div>\r\n        <div class=\"epi-boosting__search-wrapper\">\r\n            <p class=\"epi-secondaryText\">${i18n.description}</p>\r\n            <div class=\"epi-vertical-spacer\">\r\n              <input id=\"searchText\"\r\n                     type=\"text\"\r\n                     data-dojo-attach-point=\"searchText\"\r\n                     data-dojo-type=\"dijit/form/TextBox\"\r\n                     data-dojo-props=\"intermediateChanges: true\" />\r\n              <input id=\"languageSelect\"\r\n                     data-dojo-attach-point=\"languageSelect\"\r\n                     data-dojo-type=\"dijit/form/Select\"\r\n                     data-dojo-props=\"trim:true\" />\r\n            </div>\r\n            <input id=\"bestBetsCheckbox\"\r\n                   type=\"checkbox\"\r\n                   data-dojo-attach-point=\"bestBetsCheckbox\"\r\n                   data-dojo-type=\"dijit/form/CheckBox\">\r\n            <label for=\"bestBetsCheckbox\">${i18n.bestBets}</label>\r\n            <input id=\"synonymsCheckbox\"\r\n                   type=\"checkbox\"\r\n                   data-dojo-attach-point=\"synonymsCheckbox\"\r\n                   data-dojo-type=\"dijit/form/CheckBox\">\r\n            <label for=\"synonymsCheckbox\">${i18n.synonyms}</label>\r\n\r\n        </div>\r\n    </div>\r\n    <div>\r\n        <div data-dojo-attach-point=\"searchResultsNode\"></div>\r\n    </div>\r\n</div>\r\n"}});
﻿    define("epi-find/widget/BoostingPreview", [
        "dojo/_base/declare",
        "dojo/_base/lang",
        "dojo/_base/array",
        "dojo/dom-construct",
        "dojo/json",

        "dijit/_WidgetBase",
        "dijit/_TemplatedMixin",
        "dijit/_WidgetsInTemplateMixin",
        "dijit/form/CheckBox",
        "dijit/form/TextBox",
        "dijit/form/Select",

        "dojox/html/entities",
        "dojox/mvc/at",

        "dgrid/List",
        "dgrid/extensions/DijitRegistry",

        "epi-saas-base/widgets/_WidgetsInListMixin",
        "./BestbetGridRow",

        "epi-saas-base/widgets/_NotificationMixin",
        "epi-saas-base/widgets/_GridMoreMixin",
        "epi-saas-base/widgets/_AutoLoadScrollMixin",

        "dojo/i18n!epi-saas-base/nls/Languages",
        "dojo/i18n!./nls/BoostingPreview",
        "dojo/text!./templates/BoostingPreview.html"
],
    function(declare,
            lang,
            array,
            domConstruct,
            JSON,

            _WidgetBase,
            _TemplatedMixin,
            _WidgetsInTemplateMixin,
            CheckBox,
            TextBox,
            Select,

            entities,
            at,

            List,
            DijitRegistry,
            _WidgetsInListMixin,
            BestbetGridRow,
            _NotificationMixin,
            _GridMoreMixin,
            _AutoLoadScrollMixin,

            i18nLanguages,
            i18n,
            template) {

        // module:
        //      epi-find/widget/BoostingPreview

        return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
            // summary:
            //     Boosting preview view.

            templateString: template,

            i18n: i18n,

            model: null,

            resultsList: null,

            _searchTimeout: 500,
            _searchTimer: null,

            _allLanguagesValue: "allLanguages",

            postCreate: function() {
                this.inherited(arguments);

                this.searchText.set("placeHolder", i18n.search);

                if (!this.model) {
                    throw "No model specified";
                }

                var self = this;

                this.searchText.set("value", at(this.model, "searchText"));

                var languageSelectOptions = array.map(this.model.languages, function (item) {
                    return { value: item, label: i18nLanguages[item] || (i18nLanguages[item.substring(0, 2)] ? i18nLanguages[item.substring(0, 2)] + " (" + item + ")" : null) || item };
                });
                languageSelectOptions.unshift({ value: this._allLanguagesValue, label: i18n.allLanguages });
                this.languageSelect.set("options", languageSelectOptions);

                this.languageSelect.set("value", at(this.model, "language").transform({
                    format: function(language){
                        return language || self._allLanguagesValue;
                    },
                    parse: function(value){
                        return value === self._allLanguagesValue ? null : value;
                    }}));

                this.bestBetsCheckbox.set("checked", at(this.model, "bestBets"));
                this.synonymsCheckbox.set("checked", at(this.model, "synonyms"));

                var ResultList = declare([List, _GridMoreMixin, _AutoLoadScrollMixin, DijitRegistry, _WidgetsInListMixin, _NotificationMixin], {
                    constructor: function() {
                        // Sets the loader (#loadNextPage, available in _GridMoreMixn) to be used by the _AutoLoadScrollMixin
                        this.loader = lang.hitch(this, this.loadNextPage);
                    },
                    margin: 140
                });

                this.resultsList = new ResultList({
                    i18n: i18n,
                    store: this.model.store,
                    query: this.model.get("query"),
                    loadingMessage: i18n.dataLoading,
                    showLoadingMessage: true,
                    "class": "epi-plain-grid epi-plain-grid--no-border",
                    useTouchScroll: false,
                    renderRow: function (object, options) {
                        var row = new BestbetGridRow({
                            title: object.Title || object.Url,
                            url: object.Url,
                            description: object.Excerpt,
                            phrases: entities.encode((object.MetaData && object.MetaData.BestBetPhrase) ? object.MetaData.BestBetPhrase.StringValue : null)
                        });
                        self.own(row);
                        return row.domNode;
                    }
                }, this.searchResultsNode);

                this.own(
                    this.resultsList.on("dgrid-error", function(event) {
                        self.resultsList.showErrorInGrid(event.error);
                    }),
                    this.resultsList,
                    this.model.watch("query", lang.hitch(this, function () {
                        this._triggerDelayedSearch();
                    })));
            },

            startup: function() {
                this.inherited(arguments);
                this.resultsList.set("scrollNode", this.scrollNode || this.domNode.parentNode);
                this.resultsList.startup();
            },

            _triggerDelayedSearch: function() {
                //  summary:
                //      Runs search query after delay in order to avoid extra requests.
                if (this._searchTimer) {
                    clearTimeout(this._searchTimer);
                }
                this._searchTimer = setTimeout(lang.hitch(this, function () {
                    this._searchTimer = null;
                    this.resultsList.set("query", this.model.get("query"));
                }), this._searchTimeout);
            }
        });
    });
