define("epi-find/widget/ContentStoreQueryLanguageHandler", [
    "dojo/_base/array",
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/promise/all",
    "dojo/when",
    "epi-cms/widget/ContentForestStoreModel"

], function (
    array,
    declare,
    lang,
    promiseAll,
    when,
    ContentForestStoreModel
) {

  return declare([ContentForestStoreModel], {

    _createQuery: function (queryBase, excludeType) {
        var query = this.inherited(arguments);

        if (this.lang) {
            delete query.allLanguages;
            query.lang = this.lang;
        }
        else {
            query.allLanguages = true;
        }
        return query;
    }
  });
});
