define("epi-find/widget/InvertedValidationTextbox", [
    "dojo/_base/declare",
    "dijit/form/ValidationTextBox"
], function(declare,ValidationTextBox) {
    return declare(ValidationTextBox, {
        // summary:
        //      Textarea that validates if the pattern gets no hits.
        validator: function(value, constraints) {
            var superMethod = this.getInherited(arguments);
            if (value === "") {
                return !this.required;
            }
            return !superMethod.apply(this, [value, constraints]);
        }
    });
});
