require({cache:{
'url:epi-find/widget/templates/Overview.html':"﻿<div>\r\n    <p class=\"epi-view--description\">${i18n.description}</p>\r\n    <div class=\"epi-pane__content__content-container\">\r\n        <div class=\"epi-pane__content__section\">\r\n            <h1 class=\"epi-color-signal  epi-typo-serif\">Index</h1>\r\n            <p data-dojo-attach-point=\"indexNameText\"></p>\r\n            <p data-dojo-attach-point=\"findApiVersionText\"></p>\r\n        </div>\r\n\r\n        <div class=\"epi-pane__content__section\" data-dojo-attach-point=\"documentTypesNode\">\r\n            <div data-dojo-attach-point=\"documentTypesHeader\">\r\n                <h1 class=\"epi-color-signal  epi-typo-serif\">${i18n.documentTypes_header}</h1>\r\n\r\n                <p data-dojo-attach-point=\"documentTypesDescriptionText\"></p>\r\n                <p class=\"epi-help\">${i18n.help_documentTypes}</p>\r\n            </div>\r\n            <div data-dojo-attach-point=\"documentTypesGrid\"></div>\r\n        </div>\r\n\r\n        <div class=\"epi-pane__content__section\" data-dojo-attach-point=\"cmsContantNode\">\r\n            <div data-dojo-attach-point=\"cmsContentHeader\">\r\n                <h1 class=\"epi-color-signal  epi-typo-serif\" data-dojo-attach-point=\"cmsContentTitle\">${i18n.cmsContent_header}</h1>\r\n\r\n                <p data-dojo-attach-point=\"cmsContentDescriptionText\"></p>\r\n\r\n                <p class=\"epi-help\">${i18n.help_cmsContent}</p>\r\n            </div>\r\n            <div data-dojo-attach-point=\"cmsContentGrid\"></div>\r\n\r\n            <h2 class=\"epi-color-signal  epi-typo-serif\">${i18n.language_header}</h2>\r\n\r\n            <p class=\"epi-help\">${i18n.help_cmsLanguages}</p>\r\n            <div data-dojo-attach-point=\"languageContentGrid\"></div>\r\n        </div>\r\n    </div>\r\n</div>"}});
﻿define("epi-find/widget/Overview", [
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dojo/dom-prop",
    "dojo/dom-class",
    "dojo/store/Memory",

    "dijit/_WidgetBase",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetsInTemplateMixin",

    "dgrid/Grid",

    "put-selector/put",

    "epi-saas-base/Sticker",
    "epi-saas-base/StickyContainer",
    "epi-saas-base/widgets/_GridMoreMixin",
    "epi-saas-base/widgets/_AutoLoadScrollMixin",

    "./_ActionableMixin",
    "./_DisabledViewMixin",

    "dojo/i18n!./nls/Overview",
    "dojo/text!./templates/Overview.html"
],
function(declare,
    lang,
    array,
    domProp,
    domClass,
    Memory,
    _WidgetBase,
    _TemplatedMixin,
    _WidgetsInTemplateMixin,
    Grid,
    put,
    Sticker,
    StickyContainer,
    _GridMoreMixin,
    _AutoLoadScrollMixin,
    _ActionableMixin,
    _DisabledViewMixin,
    i18n,
    template) {

    // module:
    //      epi-find/widget/Overview

    var DescriptionText = declare([_WidgetBase], {
        // template: String
        //      A string which contains template markers; for example: "{0} message".
        //      {0} would then be replaced by the first element in descriptionVariables.
        template: null,

        // descriptionVariables: Mixed[]
        //  The variables to use when building the description string from the template.
        descriptionVariables: null,

        // formatter: function(key, value)
        //      A function which runs for every description value when the text is rebuilt. Should be overidden.
        formatter: function(key, value){},

        constructor: function() {
            this.descriptionVariables = [];
        },

        _setDescriptionVariablesAttr: function(variables) {
            this._set("descriptionVariables", variables);
            var description = this.template;

            array.forEach(variables, function(item, index) {
                if (this.formatter) {
                    item = this.formatter(index, item);
                }
                description = description.replace("{" + index + "}", item);
            }, this);
            this.set("description", description);
        },

        _setDescriptionAttr: { node: "domNode", type: "innerHTML" }
    });

    var TermFacetGrid = declare([Grid, _GridMoreMixin, _AutoLoadScrollMixin], {
        constructor: function() {
            // Sets the loader (#loadNextPage, available in _GridMoreMixn) to be used by the _AutoLoadScrollMixin
            this.loader = lang.hitch(this, this.loadNextPage);
        },
        postMixInProperties: function() {
            if (! this.columns.term) {
                this.columns.term = {};
            }
            this.columns.term.sortable = false;

            if (! this.columns.count) {
                this.columns.count = {
                    className: "epi-grid-column--right epi-grid--15",
                    label: i18n.count,
                    sortable: false,
                    renderCell: function (object, value, node, options) {
                        domClass.add(node, "epi-grid-column--bold");
                        domProp.set(node, "innerHTML", value);
                    }
                };
            }
            this.inherited(arguments);
        }
    });

    return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _ActionableMixin, _DisabledViewMixin], {
        // summary:
        //     Overview view.

        templateString: template,

        i18n: i18n,

        model: null,

        _indexNameDescription: null,

        _findApiVersionDescription: null,

        _docDescription: null,

        _docTypeGrid: null,

        _cmsDescription: null,

        _cmsTypeGrid: null,

        _cmsLanguageGrid: null,

        buildRendering: function() {
            this.inherited(arguments);

            this._indexNameDescription = new DescriptionText({
                template: i18n.indexName,
                formatter: function(key, value) {
                    return value !== null ? value : "?";
                },
                descriptionVariables: [null]
            }, this.indexNameText),

            this._findApiVersionDescription = new DescriptionText({
                template: i18n.findApiVersion,
                formatter: function (key, value) {
                    return value !== null ? value : "?";
                },
                descriptionVariables: [null]
            }, this.findApiVersionText),

            this._docDescription = new DescriptionText({
                template: i18n.documentTypes_description,
                formatter: function(key, value) {
                    return value !== null ? value : "?";
                },
                descriptionVariables: [null, null]
            }, this.documentTypesDescriptionText);

            this._docTypeGrid = new TermFacetGrid({
                "class": "epi-plain-grid epi-plain-grid--no-border",
                margin: 140,
                columns: {
                    term: {
                        label: i18n.documentTypes_column
                    }
                },
                store: new Memory({
                    idProperty: "term"
                }),
                noDataMessage: i18n.noDocumentTypes,
                loadingMessage: i18n.dataLoading,
                showLoadingMessage: true
            }, this.documentTypesGrid);

            this._cmsDescription = new DescriptionText({
                template: i18n.cmsContent_description,
                formatter: function(key, value) {
                    return value !== null ? value : "?";
                },
                descriptionVariables: [null, null, null, null]
            }, this.cmsContentDescriptionText);

            this._cmsTypeGrid = new TermFacetGrid({
                "class": "epi-plain-grid epi-plain-grid--no-border epi-vertical-spacer",
                margin: 140,
                columns: {
                    term: {
                        label: i18n.cmsContent_column
                    }
                },
                store: new Memory({
                    idProperty: "term"
                }),
                noDataMessage: i18n.noPageTypes,
                loadingMessage: i18n.dataLoading
            }, this.cmsContentGrid);

            this._cmsLanguageGrid = new TermFacetGrid({
                "class": "epi-plain-grid epi-plain-grid--no-border",
                margin: 140,
                columns: {
                    term: {
                        label: i18n.language_column
                    }
                },
                store: new Memory({
                    idProperty: "term"
                }),
                noDataMessage: i18n.noLanguageBranches,
                loadingMessage: i18n.dataLoading
            }, this.languageContentGrid);
        },

        postCreate: function() {
            this.inherited(arguments);

            if (!this.model) {
                throw new Error("'model' is not defined");
            }

            this.handleModelErrors();
            this.bindDocumentTypes();
            this.bindCmsContent();
            this.bindConfigInfo();

            this.model.load();
        },

        startup: function() {
            if (this._started) {
                return;
            }
            this.inherited(arguments);
            var scrollNode = this.scrollNode || this.domNode.parentNode;
            this.own(
                new StickyContainer({
                    scrollNode: scrollNode,
                    stickers: [
                        new Sticker({ domNode: this.documentTypesHeader, offset: {top: 0}, limitNode: this._docTypeGrid.domNode, subscribe: false}),
                        new Sticker({ domNode: this._docTypeGrid.headerNode, offset: {top: 0}, limitNode: this._docTypeGrid.domNode, subscribe: false})
                    ]
                }),
                new StickyContainer({
                    scrollNode: scrollNode,
                    stickers: [
                        new Sticker({ domNode: this.cmsContentHeader, offset: {top: 0}, limitNode: this._cmsTypeGrid.domNode, subscribe: false}),
                        new Sticker({ domNode: this._cmsTypeGrid.headerNode, offset: {top: 0}, limitNode: this._cmsTypeGrid.domNode, subscribe: false})
                    ]
                })
            );

            this._docTypeGrid.set("scrollNode", scrollNode);
            this._cmsTypeGrid.set("scrollNode", scrollNode);
            this._cmsLanguageGrid.set("scrollNode", scrollNode);
        },

        bindConfigInfo: function () {
            this.own(
                this.model.watch("indexName", lang.hitch(this, function (name, oldValue, newValue) {
                    this._indexNameDescription.set("descriptionVariables", [this.model.indexName]);
                })),
                this.model.watch("findApiVersion", lang.hitch(this, function (name, oldValue, newValue) {
                    this._findApiVersionDescription.set("descriptionVariables", [this.model.findApiVersion]);
                }))
            );
        },

        bindDocumentTypes: function() {
            var updateTypesDescription = lang.hitch(this, function() {
                this._docDescription.set("descriptionVariables", [this.model.totalDocuments, this.model.totalDocumentTypes]);
            });

            this.own(
                this.model.watch("documentTypes", lang.hitch(this, function (name, oldValue, newValue) {
                    this._reloadGrid(this._docTypeGrid, newValue);
                })),
                this.model.watch("totalDocuments", lang.hitch(this, function (name, oldValue, newValue) {
                    updateTypesDescription();
                })),
                this.model.watch("totalDocumentTypes", lang.hitch(this, function (name, oldValue, newValue) {
                    updateTypesDescription();
                }))
            );
        },

        bindCmsContent: function() {
            var updateCmsDescription = lang.hitch(this, function() {
                this._cmsDescription.set("descriptionVariables",
                    [
                        this.model.totalContentItems, this.model.totalMediaItems,
                        this.model.totalContentTypes, this.model.totalLanguageBranches
                    ]);
            });

            this.own(
                this.model.watch("contentTypes", lang.hitch(this, function (name, oldValue, newValue) {
                    this._reloadGrid(this._cmsTypeGrid, newValue);
                })),
                this.model.watch("languageBranches", lang.hitch(this, function (name, oldValue, newValue) {
                    this._reloadGrid(this._cmsLanguageGrid, newValue);
                })),
                this.model.watch("totalMediaItems", updateCmsDescription),
                this.model.watch("totalContentItems", updateCmsDescription),
                this.model.watch("totalContentTypes", updateCmsDescription),
                this.model.watch("totalLanguageBranches", updateCmsDescription)
            );
        },

        handleModelErrors: function () {
            var gridErrorHandler = function(grid) {
                // removing existing noData node and creating new one with error message
                if(grid.noDataNode){
                    put(grid.noDataNode, "!");
                    delete grid.noDataNode;
                }
                grid.noDataNode = put(grid.contentNode, "div.dgrid-no-data");
                grid.noDataNode.innerHTML = i18n.dataLoadError;
            };

            this.own(
                this.model.watch("documentInfoError", lang.hitch(this, function (name, oldValue, newValue) {
                    if (newValue) {
                        gridErrorHandler(this._docTypeGrid);
                        this._docDescription.set("descriptionVariables", [null, null]);
                    }
                })),
                this.model.watch("cmsInfoError", lang.hitch(this, function (name, oldValue, newValue) {
                    if (newValue) {
                        gridErrorHandler(this._cmsTypeGrid);
                        gridErrorHandler(this._cmsLanguageGrid);
                        this._cmsDescription.set("descriptionVariables", [null, null, null, null]);
                    }
                }))
            );
        },

        takeAction: function() {
            this.refresh();
            return this;
        },

        refresh: function () {
            this.model.load();
        },

        _reloadGrid: function(grid, data) {
            if (grid && data) {
                if (!(data instanceof Array)) {
                    data = [data];
                }
                grid.store.setData(data);
                grid.refresh();
            }
        }
    });
});
