define("epi-find/widget/nls/Bestbets", { root: ({
    "actions_delete": "Delete",
    "actions_edit": "Edit",
    "addBestbet": "Add best bet",
    "areYouSure": "Are you sure you want to delete this best bet?",
    "buttons_cancelDelete": "Cancel",
    "buttons_confirmDelete": "Delete",
    "cancelBestbet": "Cancel",
    "contentType_commerce": "Commerce",
    "contentType_external": "External link",
    "contentType_local": "Local",
    "contentType_select": "Select content",
    "contextMenuTitle": "Options",
    "dataLoadError": "The best bet information could not be retrieved. Try refreshing the page, and contact your system support if the error persists.",
    "dataLoading": "Retrieving data",
    "delete": "Delete",
    "deleteBestbet": "Delete Best Bet",
    "deletedMessage": "Best bet has been deleted.",
    "description": "Use best bets to create a custom list of matching content for common search phrases. Best bets are presented at the beginning of the search results.",
    "edit": "Edit",
    "error400": "Best bet cannot be saved since phrases contain duplicated values, or target content cannot be resolved.",
    "error404": "The item could not be found. Try refreshing the page, and if the error persists, re-add the item before creating best bets.",
    "error409": "A duplicate best bet matching one of the following two conditions exists: 1) Same phrase, title and description. 2) Same phrase and link. Change the value of the related field to something else or cancel.",
    "errorTitle": "An error occurred",
    "fields_bestbetDescField": "Description",
    "fields_bestbetPhrase": "Phrases",
    "fields_bestbetStyleRadio1": "Display best bet in its own style",
    "fields_bestbetStyleRadio2": "Display best bet like search result",
    "fields_targetField": "Target content",
    "fields_titleField": "Title",
    "header": "Best Bets",
    "help_bestBetPhrase": "Enter one or multiple phrases, separate phrases with comma.",
    "help_bestbetDescField": "The description will be inherited from the target content. This can be changed by entering a custom description for the best bet in the search result.",
    "help_bestbetStyleRadio": "Select whether the best bet should have its own style in the search result or not.",
    "help_table": "Use the context menu to edit or delete best bets.",
    "help_targetField": "Select the content that should be displayed when searching for the phrase.",
    "help_titleField": "The title will be inherited from the target content. This can be changed by entering a custom title for the best bet in the search result.",
    "noData": "There are no best bets yet",
    "saveBestbet": "Save best bet",
    "saveErrorTitle": "An error occurred on adding or modifying best bet",
    "savedMessage": "Best bet has been saved.",
    "search": "Search",
    "separateMultiplePhrases": "Separate multiple phrases with comma",
    "status_1": "Content has been rejected",
    "status_2": "Content is not visible until published",
    "status_3": "Content is waiting to be published",
    "status_5": "Content is not visible until published",
    "status_6": "Content is scheduled for publishing",
    "status_100": "Content has expired"
}),"da": true,
"de": true,
"es": true,
"fi": true,
"fr": true,
"it": true,
"ja": true,
"nl": true,
"no": true,
"sv": true,
"zh": true
});