define("epi-find/widget/nls/Index", {
    root: ({
        description: "Use this view to clear the content index and/or statistics for the website. This may be needed when extensive changes have been done to content structures and properties.",
        reindexNote: "To reindex the website after clearing, go to the {0}.",
        indexingJobPageTitle: "Find Content Indexing Job",
        buttons_clearIndex: "Clear index",
        buttons_clearingIndex: "Clearing index...",
        buttons_clearStats: "Clear statistics",
        buttons_clearingStats: "Clearing statistics...",
        buttons_confirmClearContent: "Clear content index",
        buttons_confirmClearStatistics: "Clear statistics",
        buttons_confirmCancel: "Cancel",
        labels_clearIndex: "Clear content index",
        labels_clearStats: "Clear statistics",
        notification_clearIndexTitle: "Clear Content Index",
        notification_clearIndexDescription: "Are you sure you want to clear the content index? This action cannot be undone.",
        notification_clearStatsTitle: "Clear Statistics",
        notification_clearStatsDescription: "Are you sure you want to clear the statistics? This action cannot be undone.",
        notification_successClearIndex: "Successfully cleared the content index.",
        notification_successClearStats: "Successfully cleared the statistics.",
        notification_errorClearIndex: "An error occurred while clearing the content index.",
        notification_errorClearStats: "An error occurred while clearing the statistics.",
        notification_errorDetails: "Refer to the detailed error message for more information.",
        clearIndexDescription: "Clearing the content index will empty the index completely, after which the website needs to be <a href='{0}' class='epi-visibleLink' target='_blank'>reindexed</a>.",
        clearStatsDescription: "Clearing the statistics will remove all data, causing the statistics view to be empty."
    }),
	"da": true,
	"de": true,
	"es": true,
	"fi": true,
	"fr": true,
	"it": true,
	"ja": true,
	"nl": true,
	"no": true,
	"sv": true,
	"zh": true
});