define("epi-find/widget/nls/RelatedQueries", { root: ({
    "actions_deleteAll": "Delete Phrase",
    "actions_deleteSuggestion": "Delete Suggestion",
    "actions_edit": "Edit",
    "actions_moveDown": "Move Down",
    "actions_moveUp": "Move Up",
    "areYouSurePhrase": "Are you sure you want to delete this phrase and all its suggestions? This action cannot be undone.",
    "areYouSureSuggestion": "Are you sure you want to delete this suggestion? This action cannot be undone.",
    "buttons_add": "Add related query",
    "buttons_cancel": "Cancel",
    "buttons_cancelDelete": "Cancel",
    "buttons_confirmDelete": "Delete",
    "buttons_save": "Save related query",
    "contextMenuTitle": "Options",
    "dataLoadError": "The related queries information could not be retrieved. Try refreshing the page, and contact your system support if the error persists.",
    "dataLoading": "Retrieving data",
    "deleteSuggestionTitle": "Delete Suggestion",
    "deleteTitle": "Delete Related Query",
    "description": "Use related queries to create search suggestions of the type \"persons who searched for this also searched for\u2026\". Related queries work in one direction only.",
    "error404": "The item could not be found. Try refreshing the page, and if the error persists, re-add the item and create the related query.",
    "error409": "A duplicate query exists. Change the value of the related field to something else or cancel.",
    "errorTitle": "An error occurred on adding or modifying a related query",
    "fields_phrase": "Phrase",
    "fields_suggestions": "Suggestions",
    "header": "Related Queries",
    "help_grid": "Use the context menu to edit or delete related queries.",
    "help_phrase": "Enter a phrase consisting of alphanumeric characters. A phrase may consist of multiple words separated by spaces.",
    "help_suggestions": "Enter one or multiple suggestions. A search for \"USA\" could return suggestions such as \"North America\" and \"Big Apple\".",
    "noData": "There are no related queries yet.",
    "phraseDeletedMessage": "The phrase and all its suggestions have been deleted.",
    "savedMessage": "The related query has been saved.",
    "search": "Search",
    "separateMultipleSuggestions": "Separate multiple suggestions with comma.",
    "suggestionDeletedMessage": "The suggestion has been deleted."
}),"da": true,
"de": true,
"es": true,
"fi": true,
"fr": true,
"it": true,
"ja": true,
"nl": true,
"no": true,
"sv": true,
"zh": true
});