define("epi-find/widget/nls/Synonyms", { root: ({
    "addSynonym": "Add synonym",
    "areYouSure": "Are you sure you want to delete this synonym? This action cannot be undone.",
    "buttons_cancelDelete": "Cancel",
    "buttons_confirmDelete": "Delete",
    "cancel": "Cancel",
    "contextMenuTitle": "Options",
    "dataLoadError": "The synonym information could not be retrieved. Try refreshing the page, and contact your system support if the error persists.",
    "dataLoading": "Retrieving data",
    "delete": "Delete",
    "deleteSynonym": "Delete Synonym",
    "deletedMessage": "The synonym has been deleted.",
    "description": "Search terms can be expanded with terms from this synonym list. If you search for \"vegetables\" and the synonym is \"fruit\", results for \"fruit\" will also be displayed. Note that changes to synonyms may take a few minutes before they are in effect.",
    "edit": "Edit",
    "error404": "The item could not be found. Try refreshing the page, and if the error persists, re-add the item before creating synonyms.",
    "error409": "A duplicate synonym exists. Change the value of the related field to something else or cancel.",
    "errorTitle": "An error occurred",
    "fields_bidirectional": "Bidirectional",
    "fields_oneWay": "One way",
    "fields_phrase": "Phrases",
    "fields_synonym": "Synonym",
    "header": "Synonyms",
    "help_bidirectional": "Bidirectional synonyms will match both ways.",
    "help_multiPhrase": "Enter up to three words per phrase consisting of alphanumeric characters, dashes, ampersand or apostrophe. Separate multiple phrases with comma. A phrase should not be equal to the synonym.",
    "help_multiSynonym": "Enter a single or multiple words (up to three) consisting of alphanumeric characters or dashes, ampersand or apostrophe. The synonym should not be equal to the phrase.",
    "help_phrase": "Enter a single word consisting of alphanumeric characters or dashes. The phrase should not be equal to the synonym.",
    "help_submit": "Click here to add the phrase and synonym (or save a previously added phrase/synonym) to the list.",
    "help_synonym": "Enter a single word consisting of alphanumeric characters or dashes. The synonym should not be equal to the phrase.",
    "help_table": "Use the context menu to edit or delete synonyms. Arrows indicate if synonyms are bidirectional or not.",
    "noSynonyms": "No synonyms yet",
    "saveErrorTitle": "An error occurred on adding or modifying synonym",
    "saveSynonym": "Save synonym",
    "savedMessage": "The synonym has been saved.",
    "search": "Search",
    "separateMultiplePhrases": "Separate multiple phrases with comma"
}),"da": true,
"de": true,
"es": true,
"fi": true,
"fr": true,
"it": true,
"ja": true,
"nl": true,
"no": true,
"sv": true,
"zh": true
});