define("epi-find/widget/nls/de/Connectors", {
    "actions_delete": "Löschen",
    "actions_edit": "Bearbeiten",
    "actions_start": "Starten",
    "actions_stop": "Stopp",
    "advanced": "Erweiterte Feinabstimmung der Indizierung (zum Ausblenden klicken)",
    "areYouSure": "Wollen Sie diesen Konnektor wirklich löschen? Dieser Vorgang kann nicht rückgängig gemacht werden.",
    "buttons_add": "Konnektor hinzufügen",
    "buttons_cancel": "Abbrechen",
    "buttons_cancelDelete": "Abbrechen",
    "buttons_confirmDelete": "Löschen",
    "buttons_save": "Konnektor speichern",
    "contextMenuTitle": "Optionen",
    "dataLoadError": "Die Konnektorinformationen konnten nicht abgerufen werden. Versuchen Sie, die Seite zu aktualisieren. Wenden Sie sich an Ihren Systemsupport, wenn der Fehler weiterhin besteht.",
    "deleteConnector": "Konnektor löschen",
    "deletedMessage": "Der Konnektor wurde gelöscht.",
    "description": "Fügen Sie Konnektoren zu Ihrer Website hinzu. So können Besucher Inhalte finden, die sich zwar nicht auf der Website befinden, aber mit deren Inhalt verwandt sind.",
    "error404": "Das Element wurde nicht gefunden. Aktualisieren Sie die Seite. Wenn der Fehler weiterhin besteht, fügen Sie das Element erneut hinzu, bevor Sie Konnektoren erstellen.",
    "errorTitle": "Es ist ein Fehler aufgetreten",
    "fields_channel": "Kanal",
    "fields_date": "Zuletzt indiziert",
    "fields_documents": "Dokumente",
    "fields_excludeMimeTypes": "Medientypen ausschließen",
    "fields_excludeUrls": "URLs ausschließen",
    "fields_excludedCrawlPattern": "Pfad beim Durchforsten ausgeschlossen",
    "fields_excludedIndexPattern": "Pfad bei der Indizierung ausgeschlossen",
    "fields_feedUrls": "Feed-URL",
    "fields_includedCrawlPattern": "Pfad beim Durchforsten eingeschlossen",
    "fields_name": "Name",
    "fields_refresh": "Aktualisieren",
    "fields_removeQueryArgs": "Abfrageparameter ausschließen",
    "fields_schedule": "Zeitplan",
    "fields_startUrl": "Stamm-URL",
    "fields_status": "Status",
    "fields_type": "Typ",
    "help_excludeMimeTypes": "Schließen Sie Inhalte wie Javascript-Dateien von der Indizierung aus, indem Sie den entsprechenden Internet-Medientyp angeben, z.B. \u201capplication/javascript\u201d.",
    "help_excludeUrls": "Schließen Sie Teile einer Website von der Indizierung aus, z.B. \u201chttp:\/\/world.episerver.com/support\u201d beim Indizieren von \u201chttp:\/\/world.episerver.com\u201d. Unterelemente dieser Knoten werden nicht indiziert.",
    "help_excludeUrlsDescription": "Trennen Sie einzelne URLs per Zeilenumbruch, um mehrfache URLs auszuschließen.",
    "help_excludedCrawlPattern": "Schließen Sie Teile einer Website vom Durchforsten aus, z.B. \u201c/support/*\u201d beim Indizieren von \u201chttp:\/\/world.episerver.com/\u201d. Unterelemente von \u201chttp:\/\/world.episerver.com/support/\u201d werden nicht durchforstet.",
    "help_excludedIndexPattern": "Schließen Sie Teile einer Website von der Indizierung aus, z.B. \u201c/support/*\u201d beim Indizieren von \u201chttp:\/\/world.episerver.com/\u201d. Unterelemente von \u201chttp:\/\/world.episerver.com/support/\u201d werden durchforstet, aber nicht indiziert.",
    "help_feedUrls": "Fügen Sie die Webadresse für den Feed hinzu, der indiziert werden soll, z.B. \u201dhttp:\/\/world.episerver.com/Download/Latest-downloads/Latest-downloads/?feed=RSS\u201d.",
    "help_grid": "Diese Konnektoren sind für Ihre Websites definiert. Von hier aus können Sie den Indizierungsauftrag für einen Konnektor manuell starten und stoppen. Nutzen Sie das Kontextmenü, um einen Konnektor zu bearbeiten oder zu löschen. Hinweis: Beim Löschen eines Konnektors wird der Index für den zugehörigen Inhalt ebenfalls gelöscht.",
    "help_includedCrawlPattern": "Schließen Sie Teile einer Website ein, z.B. \u201c/support/*\u201d beim Durchforsten von \u201chttp:\/\/world.episerver.com/\u201d. Es werden nur Unterelemente von \u201chttp:\/\/world.episerver.com/support/\u201d durchforstet.",
    "help_name": "Geben Sie einen beschreibenden Namen für den Konnektor ein, der Aufschluss darüber gibt, was der Konnektor indiziert.",
    "help_removeQueryArgs": "Abfragezeichenfolge-Parameter beim Folgen von URLs ausschließen.",
    "help_schedule": "Planen Sie eine automatische Indizierung für einen Konnektor. Ist keine Planung ausgewählt, findet ein Indizierungsauftrag nur bei manueller Ausführung statt.",
    "help_typeAndChannels": "Wählen Sie den Konnektortyp aus den vordefinierten Konnektortypen aus.",
    "noConnectors": "Noch keine Konnektoren vorhanden",
    "noPatternsYet": "Noch keine Muster",
    "notScheduled": "Nein",
    "runningStatusMessage": "Der Indizierungsauftrag für Konnektor {0} wird ausgeführt.",
    "savedMessage": "Der Konnektor wurde gespeichert.",
    "simple": "Erweiterte Feinabstimmung der Indizierung (zum Einblenden klicken)",
    "statuses_running": "Indizierung",
    "statuses_starting": "Wird gestartet",
    "statuses_stopped": "Indiziert",
    "statuses_stopping": "Wird gestoppt",
    "stoppedStatusMessage": "Der Indizierungsauftrag für Konnektor {0} wurde gestoppt.",
    "types_crawler": "Crawler",
    "types_rss_atom": "RSS/Atom"
});