define("epi-find/widget/nls/fr/Connectors", {
    "actions_delete": "Supprimer",
    "actions_edit": "Modifier",
    "actions_start": "Démarrer",
    "actions_stop": "Arrêter",
    "advanced": "Réglage de précision avancé de l'indexation (cliquer pour masquer)",
    "areYouSure": "Voulez-vous vraiment supprimer ce connecteur ? Cette action ne peut pas être annulée.",
    "buttons_add": "Ajouter un connecteur",
    "buttons_cancel": "Annuler",
    "buttons_cancelDelete": "Annuler",
    "buttons_confirmDelete": "Supprimer",
    "buttons_save": "Enregistrer un connecteur",
    "contextMenuTitle": "Options",
    "dataLoadError": "Impossible d'extraire les informations du connecteur. Actualisez la page et si l'erreur persiste contactez l'assistance technique.",
    "deleteConnector": "Supprimer un connecteur",
    "deletedMessage": "Le connecteur a été supprimé.",
    "description": "Ajoutez des connecteurs à votre site Web pour aider les visiteurs à trouver des contenus qui sont associés à votre site mais où ils n'apparaissent pas.",
    "error404": "L'élément n'a pas été trouvé. Actualisez la page et si l'erreur persiste rajoutez l'élément avant de créer des connecteurs.",
    "errorTitle": "Une erreur s'est produite",
    "fields_channel": "Canal",
    "fields_date": "Indexé en dernier",
    "fields_documents": "Documents",
    "fields_excludeMimeTypes": "Exclure les types de média",
    "fields_excludeUrls": "Exclure des URL",
    "fields_excludedCrawlPattern": "Chemin d'accès exclu lors de l'analyse",
    "fields_excludedIndexPattern": "Chemin d'accès exclu lors de l'indexation",
    "fields_feedUrls": "URL flux",
    "fields_includedCrawlPattern": "Chemin d'accès inclus lors de l'analyse",
    "fields_name": "Nom",
    "fields_refresh": "Actualiser",
    "fields_removeQueryArgs": "Exclure les paramètres de requête",
    "fields_schedule": "Planning",
    "fields_startUrl": "URL racine",
    "fields_status": "Statut",
    "fields_type": "Type",
    "help_excludeMimeTypes": "Exclure le contenu, tel que les fichiers Javascript de l'indexation en saisissant son type de média internet, par exemple « application/javascript ».",
    "help_excludeUrls": "Excluez certaines parties d'un site Web de l'indexation, par exemple « http:\/\/world.episerver.com/support » lors de l'indexation « http:\/\/world.episerver.com ». Les sous-éléments de ces nœuds ne seront pas indexés.",
    "help_excludeUrlsDescription": "Séparez chaque URL par un saut de ligne pour exclure des URL multiples.",
    "help_excludedCrawlPattern": "Exclure certaines parties d'un site Web de l'analyse, par exemple « /support/* » lors de l'indexation de « http:\/\/world.episerver.com/ ». Les sous-éléments de « http:\/\/world.episerver.com/support/ » ne seront pas analysés.",
    "help_excludedIndexPattern": "Exclure certaines parties d'un site Web de l'indexation, par exemple « /support/* » lors de l'indexation de « http:\/\/world.episerver.com/ ». Les sous-éléments de « http:\/\/world.episerver.com/support/ » seront analysés, mais pas indexés.",
    "help_feedUrls": "Ajoutez l'adresse Web pour le flux à indexer, par exemple « http:\/\/world.episerver.com/Download/Latest-downloads/Latest-downloads/?feed=RSS ».",
    "help_grid": "Les connecteurs suivants sont définis pour vos sites Web. D'ici, vous pouvez démarrer et arrêter manuellement le travail d'indexation pour un connecteur. Utilisez le menu contextuel pour modifier ou supprimer un connecteur. Remarquez qu'en supprimant un connecteur, l'index du contenu associé sera également supprimé.",
    "help_includedCrawlPattern": "Inclure certaines parties d'un site Web, par exemple « /support/* » lors de l'analyse de « http:\/\/world.episerver.com/ ». Seuls les sous-éléments de « http:\/\/world.episerver.com/support/ » seront analysés.",
    "help_name": "Entrez un nom descriptif pour le connecteur indiquant ce que celui-ci indexe.",
    "help_removeQueryArgs": "Exclure les paramètres de chaîne de requête lors du suivi d'URL.",
    "help_schedule": "Planifier une indexation automatique pour un connecteur. Si aucune indexation n'est sélectionnée, le travail d'indexation ne commencera qu'en cas de démarrage manuel.",
    "help_typeAndChannels": "Sélectionnez le type de connecteur parmi des types de connecteurs prédéfinis.",
    "noConnectors": "Pas encore de connecteurs",
    "noPatternsYet": "Pas encore de modèles",
    "notScheduled": "Non",
    "runningStatusMessage": "Le travail d'indexation pour le connecteur {0} est en cours.",
    "savedMessage": "Le connecteur a été enregistré.",
    "simple": "Réglage de précision avancé de l'indexation (cliquer pour afficher)",
    "statuses_running": "Indexation",
    "statuses_starting": "Démarrage",
    "statuses_stopped": "Indexé",
    "statuses_stopping": "Arrêt",
    "stoppedStatusMessage": "Le travail d'indexation pour le connecteur {0} est arrêté.",
    "types_crawler": "Robot",
    "types_rss_atom": "RSS/Atom"
});