define("epi-find/widget/nls/ja/Connectors", {
    "actions_delete": "削除",
    "actions_edit": "編集",
    "actions_start": "開始",
    "actions_stop": "停止",
    "advanced": "インデックス作成の詳細微調整 (クリックして非表示にする)",
    "areYouSure": "このコネクタを削除しますか？ この操作は取り消しができません。",
    "buttons_add": "コネクタの追加",
    "buttons_cancel": "キャンセル",
    "buttons_cancelDelete": "キャンセル",
    "buttons_confirmDelete": "削除",
    "buttons_save": "コネクタの保存",
    "contextMenuTitle": "オプション",
    "dataLoadError": "コネクタ情報を取得できませんでした。 ページの更新をお試しください。エラーが続く場合は、担当のシステムサポートにご連絡ください。",
    "deleteConnector": "コネクタの削除",
    "deletedMessage": "コネクタが削除されました。",
    "description": "Web サイトにコネクタを追加して、関連するコンテンツ、しかし実際にはwebサイト上ではないコンテンツを訪問者が見つける支援をしてください。",
    "error404": "このアイテムは見つかりませんでした。 ページの更新をお試しください。エラーが続く場合は、コネクタを作成する前にアイテムを再度追加してください。",
    "errorTitle": "エラーが発生しました",
    "fields_channel": "チャンネル",
    "fields_date": "前回のインデックス化",
    "fields_documents": "ドキュメント",
    "fields_excludeMimeTypes": "メディアタイプの除外",
    "fields_excludeUrls": "URLを除く",
    "fields_excludedCrawlPattern": "クロール時に除外されるパス",
    "fields_excludedIndexPattern": "インデックス作成時に除外されるパス",
    "fields_feedUrls": "フィード URL",
    "fields_includedCrawlPattern": "クロール時に含まれるパス",
    "fields_name": "名前",
    "fields_refresh": "リフレッシュ",
    "fields_removeQueryArgs": "クエリパラメータの除外",
    "fields_schedule": "スケジュール",
    "fields_startUrl": "ルート URL",
    "fields_status": "状況",
    "fields_type": "タイプ",
    "help_excludeMimeTypes": "インターネットのメディアタイプを入力することにより、Javascript ファイルなどのコンテンツをインデックス作成から除外します。例えば \u201capplication/javascript\u201d など。",
    "help_excludeUrls": "Web サイトの一部をインデックス化から除きます。たとえば\u201chttp:\/\/world.episerver.com\u201dをインデックス化する時の\u201chttp:\/\/world.episerver.com/support\u201dなど。 これらのノードのサブアイテムはインデックス化されません。",
    "help_excludeUrlsDescription": "複数のURLを除くには、各URLを改行で区切ってください。",
    "help_excludedCrawlPattern": "Web サイトの一部をクロールから除外します。例えば \u201chttp:\/\/world.episerver.com/\u201d のインデックス作成時の \u201c/support/*\u201d など。 \u201chttp:\/\/world.episerver.com/support/\u201d のサブアイテムはクロールされません。",
    "help_excludedIndexPattern": "Web サイトの一部をインデックス作成から除外します。例えば \u201chttp:\/\/world.episerver.com/\u201d のインデックス作成時の \u201c/support/*\u201d など。 \u201chttp:\/\/world.episerver.com/support/\u201d のサブアイテムは、クロールはされますがインデックス作成は行われません。",
    "help_feedUrls": "インデックス化させるフィードのWeb アドレスを追加します。例：\u201dhttp:\/\/world.episerver.com/Download/Latest-downloads/Latest-downloads/?feed=RSS\u201d",
    "help_grid": "これらはあなたのWeb サイトで定義されているコネクタです。 ここから、コネクタのインデックス化をマニュアルで開始・停止することができます。 コンテクストメニューを使用して、コネクタを編集または削除してください。 コネクタを削除すると、関連するコンテンツインデックスも削除されることにご注意ください。",
    "help_includedCrawlPattern": "Web サイトの一部を含みます。例えば \u201chttp:\/\/world.episerver.com/\u201d をクロールする際の \u201c/support/*\u201d など。 \u201chttp:\/\/world.episerver.com/support/\u201d のサブアイテムのみがクロールされます。",
    "help_name": "そのコネクタがインデックス化する内容を表す、コネクタ用の説明の名前を入力してください。",
    "help_removeQueryArgs": "URL に従う際にクエリ文字列パラメータを除外します。",
    "help_schedule": "コネクタの自動インデックス化スケジュールを設定します。 スケジュールを選択しない場合、インデックス化はマニュアルで開始した時のみ実行されます。",
    "help_typeAndChannels": "あらかじめ定義されたコネクタのタイプから、コネクタのタイプを選択してください。",
    "noConnectors": "まだコネクタがありません",
    "noPatternsYet": "まだパターンがありません",
    "notScheduled": "いいえ",
    "runningStatusMessage": "コネクタ{0}のインデックス化を実行中です。",
    "savedMessage": "コネクタが保存されました。",
    "simple": "インデックス作成の詳細微調整 (クリックして表示する)",
    "statuses_running": "インデックス化",
    "statuses_starting": "開始",
    "statuses_stopped": "インデックス化済み",
    "statuses_stopping": "停止",
    "stoppedStatusMessage": "コネクタ{0}のインデックス化が停止されました。",
    "types_crawler": "クローラー",
    "types_rss_atom": "RSS/Atom"
});