define("epi-find/widget/HelpText", [
    "dojo/_base/declare",
    "dojo/dom-construct",
    "dijit/_WidgetBase"

], function(declare, domConstruct, _WidgetBase) {

    // module:
    //      epi-find/widget/HelpText

    return declare(_WidgetBase, {
        // summary:
        //     Simple help text container.

        help: null,
        _setHelpAttr: { node: "domNode", type: "innerHTML" },
        buildRendering: function(){
           this.domNode = domConstruct.create("p", {"class":"epi-help", innerHTML: this.help});
        }
    });
});