require({cache:{
'url:epi-find/widget/templates/ServiceHealth.html':"﻿<div class=\"epi-pane epi-pane--tools is-active epi-focused\">\r\n    <div class=\"epi-pane__content-wrapper\">\r\n        <div class=\"epi-pane__header\">\r\n            <h1>${i18n.header}</h1>\r\n            <p class=\"epi-pane__description\">${i18n.description}</p>\r\n        </div>\r\n        <div data-dojo-attach-point=\"contentNode\" class=\"epi-pane__content\">\r\n            <div data-dojo-type=\"dijit/layout/StackContainer\">\r\n                <div class=\"epi-pane__content__section\">\r\n                    <div data-dojo-attach-point=\"dashboardFrame\"></div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>"}});
﻿define("epi-find/widget/ServiceHealth", [
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/array",
    "dijit/_WidgetBase",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetsInTemplateMixin",

    "./_ActionableMixin",
    "./_DisabledViewMixin",

    "dojo/i18n!./nls/ServiceHealth",
    "dojo/text!./templates/ServiceHealth.html"
], function(declare,
    lang,
    array,
    _WidgetBase,
    _TemplatedMixin,
    _WidgetsInTemplateMixin,

    _ActionableMixin,
    _DisabledViewMixin,

    i18n,
    template
) {
    var iFrame = declare([_WidgetBase], {
        // template: String
        //      A string which contains template markers; for example: "{0} message".
        //      {0} would then be replaced by the first element in descriptionVariables.
        template: null,

        // descriptionVariables: Mixed[]
        //  The variables to use when building the description string from the template.
        descriptionVariables: null,

        // formatter: function(key, value)
        //      A function which runs for every description value when the text is rebuilt. Should be overidden.
        formatter: function(key, value){},

        constructor: function () {
            this.descriptionVariables = [];
        },

        _setDescriptionVariablesAttr: function(variables) {
            this._set("descriptionVariables", variables);
            var description = this.template;

            array.forEach(variables, function(item, index) {
                if (this.formatter) {
                    item = this.formatter(index, item);
                }
                description = description.replace("{" + index + "}", item);
            }, this);
            this.set("description", description);
        },

        _setDescriptionAttr: { node: "domNode", type: "innerHTML" }
    });

    return declare([_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _ActionableMixin, _DisabledViewMixin], {
        // summary:
        //    Service Health widget

        templateString: template,

        i18n: i18n,

        model: null,
        _dashboard: null,

        buildRendering: function () {
            this.inherited(arguments);
            this._dashboard = new iFrame({
                template: "<iframe src='{0}' frameborder='0' style='width:100%; height:100%; min-height:800px; border:0;'></iframe>",
                formatter: function (key, value) {
                    return value !== null ? value : "?";
                },
                descriptionVariables: [null]
            }, this.dashboardFrame);
        },

        postCreate: function() {
            this.inherited(arguments);

            if (!this.model) {
                throw new Error("'model' is not defined");
            }

            this.bindDashboard();
            this.model.load();
        },

        startup: function () {
            if (this._started) {
                return;
            }
            this.inherited(arguments);
        },

        bindDashboard: function () {
            this.own(
                this.model.watch("url", lang.hitch(this, function () {
                    this._dashboard.set("descriptionVariables", [this.model.url]);
                }))
            );
        }
    });
});