require({cache:{
'url:epi-find/widget/templates/SiteMenu.html':"<div class=\"epi-site-menu\">\r\n    ${i18n.for}\r\n    <span data-dojo-attach-point=\"sitesNode\"></span><!--\r\n --><span class=\"epi-lozenge\">${i18n.in}</span><!--\r\n --><span data-dojo-attach-point=\"languagesNode\"></span>\r\n\r\n    <span data-dojo-attach-point=\"helpButtonNode\"></span>\r\n</div>\r\n"}});
define("epi-find/widget/SiteMenu", [
    "dojo/_base/declare",
    "dojo/_base/array",

    "dojox/html/entities",

    "dijit/_WidgetBase",
    "dijit/_Container",
    "dijit/_TemplatedMixin",

    "dijit/form/DropDownButton",
    "dijit/MenuItem",
    "dijit/DropDownMenu",

    "./_HelpMixin",

    "dojo/i18n!./nls/SiteMenu",
    "dojo/text!./templates/SiteMenu.html"
],
function(
    declare,
    array,
    entities,
    _WidgetBase,
    _Container,
    _TemplatedMixin,
    DropDownButton,
    MenuItem,
    DropDownMenu,
    _HelpMixin,
    i18n,
    template) {

    // module:
    //      epi-find/widget/SiteMenu

    return declare([_WidgetBase, _Container, _TemplatedMixin, _HelpMixin], {
        // summary: 
        //     Menu for site, language and help.

        i18n: i18n,

        templateString: template,

        siteMenu: null,
        languageMenu: null,

        sites: null,
        _setSitesAttr: function(value) {
            var self = this,
                clickHandler = function() {
                    var selected = array.filter(self.get("sites"), function (item) {
                        return item.id === this.value;
                    }, this);
                    if (selected.length>0) {
                        self.set("selectedSite", selected[0]);
                    }
                };
            if (value && this.siteMenu) {
                while(this.siteMenu.hasChildren()) {
                    this.siteMenu.removeChild(0);
                }
                for (var i=0; i<value.length; i++) {
                    this.siteMenu.addChild(new MenuItem({
                        label: entities.encode(value[i].name),
                        value: value[i].id,
                        onClick: clickHandler
                    }));
                }
            }
            this._set("sites", value);
        },

        selectedSite: null,
        _setSelectedSiteAttr: function(value) {
            if (value && this.siteDropDown) {
                this.siteDropDown.set("label", entities.encode(value.name));
            }
            this._set("selectedSite", value);
        },

        sitesDisabled: false,
        _setSitesDisabledAttr: function(value) {
            if (this.siteDropDown) {
                this.siteDropDown.setDisabled(value);
            }
        },

        languages: null,
        _setLanguagesAttr: function(value) {
            var self = this,
                clickHandler = function() {
                    var selected = array.filter(self.get("languages"), function (item) {
                        return item.id === this.value;
                    }, this);
                    if (selected.length>0) {
                        self.set("selectedLanguage", selected[0]);
                    }
                };
            if (value && this.languageMenu) {
                while(this.languageMenu.hasChildren()) {
                    this.languageMenu.removeChild(0);
                }

                for (var i=0; i<value.length; i++) {
                    this.languageMenu.addChild(new MenuItem({
                        label: value[i].name,
                        value: value[i].id,
                        onClick: clickHandler
                    }));
                }
            }
            this._set("languages", value);
        },

        selectedLanguage: null,
        _setSelectedLanguageAttr: function(value) {
            if (value && this.languageDropDown) {
                this.languageDropDown.set("label", value.name);
            }
            this._set("selectedLanguage", value);
        },
        languagesDisabled: false,
        _setLanguagesDisabledAttr: function(value) {
            if (this.languageDropDown) {
                this.languageDropDown.setDisabled(value);
            }
        },

        postMixInProperties: function() {
            this.inherited(arguments);
        },

        postCreate: function() {
            this.inherited(arguments);

            this._createSiteMenu(this.sitesNode);
            this._createLanguageMenu(this.languagesNode);

        },

        _createSiteMenu: function(node) {
            var siteMenu = this.siteMenu = new DropDownMenu({
                style: "display: none;"
            });

            this.siteDropDown = new DropDownButton({
                "class": "epi-chromeless epi-chromeless--with-arrow epi-flat epi-background--dark-grey",
                name: "sites",
                dropDown: siteMenu,
                id: "siteButton"
            }, node);
        },

        _createLanguageMenu: function(node) {
            var languageMenu = this.languageMenu = new DropDownMenu({
                style: "display: none;"
            });
            this.languageDropDown = new DropDownButton({
                "class": "epi-chromeless epi-chromeless--with-arrow epi-flat epi-background--dark-grey",
                name: "languages",
                dropDown: languageMenu,
                id: "languagesButton"
            }, node);
        }
    });
});