define("epi-find/widget/ValidationTextAreaWithDefaultValue", [
        "dojo/_base/declare",
        "epi-saas-base/widgets/ValidationTextarea",
        "epi-find/widget/_DefaultValueHintMixin"

    ],
    function(declare, ValidationTextarea, _DefaultValueHintMixin) {
        //  summary:
        //      A mixin for TextBox/TextArea based widgets that accepts a defaultValue that is used as a placeholder.
        //      If text in the widget equals to the defaultValue, then widgets value attribute returns empty string.

        // module:
        //      epi-find/widget/_DefaultValueHintMixin

        return declare([ValidationTextarea, _DefaultValueHintMixin], {});
    });




