define("epi-find/widget/ValuelListTextarea", [
    "dojo/_base/declare",
    "epi-saas-base/widgets/ValidationTextarea"
], function(declare,ValidationTextarea) {
    return declare(ValidationTextarea, {
        // summary:
        //      Textarea that can hold multi-line values. Validation is applied for each line entered to the textarea.
        validator: function(value, constraints) {
            var values = value.split("\n"), superMethod = this.getInherited(arguments);
            for (var i=0; i<values.length; i++) {
                 if (!superMethod.apply(this, [values[i], constraints])) {
                     return false;
                 }
            }
            return true;
        }
    });
});
